using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Zad2T
{
    class Program
    {
        static float Round(float n)
        {
            if (n > (float)(int)n)
            {
                return (float)(int)n + 1.0f;
            }
            else
            {
                return (float)(int)n;
            }
        }
        static void Main(string[] args)
        {
            int p, q, r;
            long L, R, i;
            int n = 0; // broj kombinacija
            float N1 = 0; // 
            
            string input = Console.ReadLine();
            string[] input_str_arr = input.Split(' ');

            p = int.Parse(input_str_arr[0]);
            q = int.Parse(input_str_arr[1]);
            r = int.Parse(input_str_arr[2]);
            L = Convert.ToInt64(input_str_arr[3]);
            R = Convert.ToInt64(input_str_arr[4]);

            for (i = L; i <= R ; i++)
            {
                N1 = Round((float)i / (float)p) + Round((float)i / (float)q) + Round((float)i / (float)r);
                if (N1 <= i)
                {
                    n++;
                    
                }
                
            }

            Console.WriteLine(n);
            Console.ReadLine();
        }
    }
}